###
# ~~~~~~licensing~~~~~~
# karaf-features
# ==========
# Copyright (C) 2020 - 2021 EmDev LLC
# ==========
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#      http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ~~~~~~/licensing~~~~~~
###
# адрес basic-auth, будет формироваться host/cxf + basic_auth_endpoint.address,
# по умолчанию basic_auth_endpoint.address=/basic-auth-management
basic_auth_endpoint.address=/basic-auth-management

#worked and tested on nginX MD5 and SHA-1(recommended)
encryption.algorithm=SHA-1
#salt for encryption 1 to 8 characters ([\\.\\/a-zA-Z0-9]{1,8})
#when salt changed all password need to remake!
encryption.salt=kDfq0qZJ

#Встроенная аутентификация
internal.authentication.enabled=true
